> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace



## OpenAPI

````yaml get /v3/workspace
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/workspace:
    get:
      tags:
        - Workspace
      summary: Get Workspace
      operationId: v3_get_workspace
      responses:
        '200':
          description: Successful response containing user details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        name:
          type: string
          example: Captain Data
          description: The name of the workspace or account.
        tasks_left:
          type: integer
          example: 9966
          description: The number of tasks remaining for the current period.
        tasks_max:
          type: integer
          example: 10000
          description: The maximum number of tasks allowed for the current period.
        tasks_used:
          type: integer
          example: 0
          description: The number of tasks already used for the current period.
        email:
          type: string
          format: email
          example: g@captaindata.co
          description: The email address associated with the workspace.
        plan_name:
          type: string
          example: Growth
          description: The name of the current subscription plan.
        current_month_start:
          type: string
          format: date-time
          example: '2023-09-01T16:08:56+00:00'
          description: The start date and time of the current billing month.
        current_month_end:
          type: string
          format: date-time
          example: '2023-10-01T17:08:56+00:00'
          description: The end date and time of the current billing month.
      required:
        - name
        - email
        - plan_name
        - current_month_start
        - current_month_end
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````